Acknowledging PISM funding source
---------------------------------

If you use PISM in a publication then we ask for an acknowledgement of funding
and a citation.  However, unless PISM developers are involved in the preparation
of the publication at the usual co-author level, we do not expect co-authorship
on PISM-using papers.

To acknowledge PISM funding please include the statement: "Development of PISM
is supported by NASA grants NNX13AM16G and NNX13AK27G."

Citing
------

To cite PISM please use at least one of Bueler and Brown (2009) or
Winkelmann et al. (2011), below, as appropriate to the application.

If your results came from source code modifications to PISM then we request
that your publication say so explicitly.

If your study relies heavily on certain PISM sub-models (such as hydrology,
calving, fracture mechanics, thermodynamics) please contact the corresponding
author/developer for information on additional citations.

```
@misc {pism-web-page,
  AUTHOR = {the PISM authors},
   TITLE = {{PISM}, a {P}arallel {I}ce {S}heet {M}odel},
     URL = {http://www.pism-docs.org},
    YEAR = {2015},
}

@article {BBssasliding,
  AUTHOR = {E. Bueler and J. Brown},
   TITLE = {Shallow shelf approximation as a "sliding law" in a
            thermodynamically coupled ice sheet model},
 JOURNAL = {J. Geophys. Res.},
  VOLUME = {114},
     DOI = {10.1029/2008JF001179},
    YEAR = {2009},
     URL = {http://www.agu.org/pubs/crossref/2009/2008JF001179.shtml},
}

@article {Winkelmannetal2011,
  AUTHOR = {Winkelmann, R. and Martin, M. A. and Haseloff, M. and Albrecht, T.
            and Bueler, E. and Khroulev, C. and Levermann, A.},
   TITLE = {The {P}otsdam {P}arallel {I}ce {S}heet {M}odel ({PISM-PIK})
            {P}art 1: {M}odel description},
 JOURNAL = {The Cryosphere},
  VOLUME = {5},
    YEAR = {2011},
   PAGES = {715--726},
     URL = {http://www.the-cryosphere.net/5/715/2011/tc-5-715-2011.pdf},
}
```

Online version
--------------

http://www.pism-docs.org/wiki/doku.php?id=citing_pism

